/*
  Author: Pons @ Proweaver
  Created: 2024-12-07
  Feature: Smart Cursor
  Description: Simple stylesheet for the Smart Cursor. Includes simple animation, custom cursor, and default styles.
*/

/* common / shared properties */
.sc-cta,
.sc-info,
.sc-question,
.sc-content-card-cursor,
textarea:hover,
[type="text"]:hover,
[type="email"]:hover {
    cursor: none;
}

.sc-cta-cursor,
.sc-cta-cursor.radial-effect::after,
.sc-input-cursor,
.sc-info-cursor,
.sc-ask-cursor,
.sc-custom-content-card-cursor {
    position: absolute;
}

.sc-cta-cursor,
.sc-input-cursor,
.sc-info-cursor,
.sc-ask-cursor,
.sc-custom-content-card-cursor {
    display: none;
    pointer-events: none;
}

.sc-cta-cursor,
.sc-input-cursor,
.sc-info-cursor,
.sc-ask-cursor {
    background-size: cover;
}

.sc-cta-cursor,
.sc-info-cursor,
.sc-ask-cursor,
.sc-custom-content-card-cursor {
    z-index: 999;
}

.sc-cta-cursor,
.sc-info-cursor,
.sc-ask-cursor {
    height: 50px;
    width: 50px;
    animation: beating 1s infinite;
}

.sc-info-cursor,
.sc-ask-cursor {
    margin: -25px 0 0 -15px;
}

.sc-telephone {
    cursor: url('images/colored/mobile-colored.png') 20 0, auto;
}

.sc-email {
    cursor: url('images/colored/email-colored.png'), auto;
}

/* Custom hand cursor */
.sc-cta-cursor {
    background-image: url('images/colored/tap-colored.png');
    margin: -10px 0 0 -10px;
}

.sc-cta-cursor.radial-effect::after {
    background-color: yellow;
    border-radius: 50%;
    content: '';
    height: 0;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 0;
    animation: radial-expand 0.5s ease-out;
}

/* Custom input cursor */
.sc-input-cursor {
    width: 30px;
    height: 30px;
    background-image: url('images/colored/pen-colored.png');
    border-radius: 1px;
    z-index: 9999;
    margin-top: -10px;
}

/* Custom information cursor */
.sc-info-cursor {
    background-image: url('images/colored/bulb-colored.png'); 
}

/* Custom question cursor */
.sc-ask-cursor {
    background-image: url('images/colored/question-colored.png');
}

/* Custom view more, read more, show more, etc. cursor */
.sc-custom-content-card-cursor {
    align-items: center;
    background-color: #fcff4c;
    border: 5px solid #444;
    border-radius: 50%;
    box-shadow: 0 0 15px 2px #666;
    color: #444;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 15px;
    font-weight: bold;
    height: 70px;
    line-height: 1;
    margin: -35px 0 0 -35px;
    padding-top: 15px;
    text-align: center;
    width: 70px;
}

/* ANIMATIONS */
/* Clicking radial effect */
@keyframes radial-expand {
    0% {
        height: 0;
        opacity: 1;
        width: 0;
    }
    100% {
        height: 100px;
        opacity: 0;
        width: 100px;
    }
}

/* Beating effect */
@keyframes beating {
    0%, 100% {
      transform: scale(1);
    }
    50% {
      transform: scale(1.2);
    }
}